<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('license_registereds', function (Blueprint $table) {
            $table->string("license_key", 16)->nullable()->after('license_no');
            $table->string("license_secret", 64)->nullable()->after('license_no');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('license_registereds', function (Blueprint $table) {
            $table->dropColumn('license_key');
            $table->dropColumn('license_secret');
        });
    }
};
